Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 100050 - wxGTK-2.4.2*-ebuilds in portage do not set the soname field of the libraries
Summary: wxGTK-2.4.2*-ebuilds in portage do not set the soname field of the libraries
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 98715
  Show dependency tree
 
Reported: 2005-07-23 11:15 UTC by Gergan Penkov
Modified: 2006-12-03 06:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gergan Penkov 2005-07-23 11:15:50 UTC
The wxGTK-ebuild for the 2.4.2-series do not set the soname-field of the dynamic
libraries. For example 
objdump -x /usr/lib/libwx_gtk2u-2.4.so|grep SONAME
should return sth like 
SONAME      libwx_gtk2u-2.4.so.0
The resolution is very simple, adding sth like
myconf="${myconf} --enable-soname" 
in src_compile(), will create the corresponding soname-fields in the libraries.
Comment 1 SpanKY gentoo-dev 2006-03-12 19:14:21 UTC
that's a backwards ass test ... just run:
readelf -d <lib> | grep SONAME
Comment 2 Gergan Penkov 2006-03-14 19:19:45 UTC
I know - it was a simple demonstration. And I use a python script with pyrex bindings to libelf for these things :)
Anyway will this be fixed someday.
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2006-12-03 06:12:41 UTC
wxGTK-2.4 is being phased out, see Bug 145032.

WONTFIX.